CREATE INDEX file_temp_date_idx ON file_temp USING btree (date_) ;
CREATE INDEX forum_ml_idx ON mailing_list USING btree (lower((list_address)::text)) ;
CREATE INDEX post_date ON node USING btree (when_created) ;
CREATE UNIQUE INDEX pinned_node_idx ON node USING btree (parent_id, pin) WHERE (pin IS NOT NULL) ;
CREATE INDEX node_sent_idx ON node USING btree (when_sent) WHERE (when_sent IS NOT NULL) ;
CREATE UNIQUE INDEX node_parent_idx ON node USING btree (parent_id, last_node_date, node_id) ;
CREATE UNIQUE INDEX node_parent2_idx ON node USING btree (parent_id, when_created, node_id) ;
CREATE INDEX node_owner_idx ON node USING btree (owner_id, when_created) ;
CREATE INDEX node_ml2_idx ON node USING btree (lower((parent_message_id)::text)) WHERE (lower((parent_message_id)::text) IS NOT NULL) ;
CREATE INDEX node_message_id_idx ON node USING btree (lower((message_id)::text)) WHERE (message_id IS NOT NULL) ;
CREATE INDEX node_export ON node USING btree (export_permalink) WHERE (export_permalink IS NOT NULL) ;
CREATE INDEX node_cookie_idx ON node USING btree (cookie) WHERE (cookie IS NOT NULL) ;
CREATE INDEX registration_date_idx ON registration USING btree (date_) ;
CREATE INDEX subscription_node_idx ON subscription USING btree (node_id) ;
CREATE INDEX tag_user_idx ON tag USING btree (user_id) ;
CREATE UNIQUE INDEX tag_idx ON tag USING btree (node_id, user_id, label) ;
CREATE UNIQUE INDEX user_name_idx ON user_ USING btree (lower((name)::text)) ;
CREATE UNIQUE INDEX user_email_idx ON user_ USING btree (lower((email)::text)) ;
CREATE INDEX visited_node_idx ON visited USING btree (node_id) ;
CREATE INDEX visited_last_node_idx ON visited USING btree (last_node_id) ;
